Valorant API Unofficial docs
API Reference Authentication Endpoints
PUT

Riot Geo

Get the region for a given ID token and auth token. The ID token and auth token can be obtained from Cookie Reauth

Server riot-geo.pas.si.riotgames.com Auth Bearer
PUT https://riot-geo.pas.si.riotgames.com/pas/v1/product/valorant
Try this request in the browser with your own values

Headers

Authorization string required
Value Bearer {auth token}— From the Entitlements Token endpoint or Riot auth

Other variables

auth token From the Entitlements Token endpoint or Riot auth.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Authentication

Body

id_token string

The ID token

Response

token string
affinities object

The region IDs for PBE and live servers

Show nested attributes Hide nested attributes 2
pbe string
live string